import { select, json, geoPath, geoNaturalEarth1 } from 'd3';//Importing projection,path, required functions
import { feature } from 'topojson';// importing feature function to convert into geojson format

const svg = select('svg');
//setting projection
const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);//converting datapath to SVG path

svg.append('path')
    .attr('class', 'sphere')
    .attr('d', pathGenerator({type: 'Sphere'}));

json('https://cdn.jsdelivr.net/npm/world-atlas@2/countries-110m.json')//giving data from npm package
  .then(data => {
  //invoking feature function
    const countries = feature(data, data.objects.countries);
    svg.selectAll('path').data(countries.features)
      .enter().append('path')
        .attr('class', 'country')
        .attr('d', pathGenerator);
  });